
StartupEvents.registry("fluid", (event) => {
  global.emberMetal.forEach((metalInput) => {
    event
      .create("embers:molten_" + metalInput)
      .stillTexture("embers:block/molten_" + metalInput + "_still")
      .flowingTexture("embers:block/molten_" + metalInput + "_flow")
      .displayName(
        "Molten " + metalInput.charAt(0).toUpperCase() + metalInput.slice(1)
      );
  });

  event.create('createdieselgenerators:lubricant')
  .stillTexture('createdieselgenerators:block/lubricant_still')
  .flowingTexture('createdieselgenerators:block/lubricant_flow')
  .displayName("Lubricant")
  
  event.create('create_mechanical_spawner:spawn_fluid_imp')
  .stillTexture('create_mechanical_spawner:fluid/spawn_fluid_imp_still')
  .flowingTexture('create_mechanical_spawner:fluid/spawn_fluid_imp_flow')
  .displayName('Imp Spawning Fluid')

  event.create('create_mechanical_spawner:spawn_fluid_imp_guard')
  .stillTexture('create_mechanical_spawner:fluid/spawn_fluid_imp_guard_still')
  .flowingTexture('create_mechanical_spawner:fluid/spawn_fluid_imp_guard_flow')
  .displayName('Imp Guard Spawning Fluid')

  event.create('create_mechanical_spawner:spawn_fluid_demon')
  .stillTexture('create_mechanical_spawner:fluid/spawn_fluid_demon_still')
  .flowingTexture('create_mechanical_spawner:fluid/spawn_fluid_demon_flow')
  .displayName('Demon Spawning Fluid')

  event.create('create_mechanical_spawner:spawn_fluid_demon_lord')
  .stillTexture('create_mechanical_spawner:fluid/spawn_fluid_demon_lord_still')
  .flowingTexture('create_mechanical_spawner:fluid/spawn_fluid_demon_lord_flow')
  .displayName('Demon Lord Spawning Fluid')

  event.create('create_mechanical_spawner:spawn_fluid_ancient_demon_lord')
  .stillTexture('create_mechanical_spawner:fluid/spawn_fluid_ancient_demon_lord_still')
  .flowingTexture('create_mechanical_spawner:fluid/spawn_fluid_ancient_demon_lord_flow')
  .displayName('Ancient Demon Lord Spawning Fluid')

  event.create('create_mechanical_spawner:spawn_fluid_lizard_tail')
  .stillTexture('create_mechanical_spawner:fluid/spawn_fluid_lizard_tail_still')
  .flowingTexture('create_mechanical_spawner:fluid/spawn_fluid_lizard_tail_flow')
  .displayName('Lizard Tail Spawning Fluid')

});
